[Hackage] #928: Modular solver needs support for ghc-6.12's base-wrapping

Hackage cvs-ghc at haskell.org
Sun Mar 11 11:52:14 CET 2012

#928: Modular solver needs support for ghc-6.12's base-wrapping
  Reporter:  kosmikus            |        Owner:  kosmikus          
      Type:  defect              |       Status:  new               
  Priority:  normal              |    Milestone:  cabal-install-0.14
 Component:  cabal-install tool  |      Version:  HEAD              
  Severity:  normal              |     Keywords:  solver            
Difficulty:  normal              |   Ghcversion:  6.12.3            
  Platform:                      |  
 In ghc-6.12, we had the situation that base-3 was a wrapper around base-4.
 The modular solver can currently not handle that situation, thereby making
 it mostly useless when used with ghc-6.12. For later ghc versions, this no
 longer occurs, thus isn't an issue. This is one reason why the modular
 solver currently is not the default.


    * Add a hack to the modular solver to deal with it, much like it is
 done in the topdown solver.
    * Make the default solver being used dependent on the version of ghc
 (but that might be confusing).

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/928>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list